Bug 138920 - up2date in fc3 uses deprecated pygtk api
Summary: up2date in fc3 uses deprecated pygtk api
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: 3
Hardware: noarch
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-11 22:46 UTC by Milton Moura
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:09:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (3.33 KB, patch)
2004-11-11 22:47 UTC, Milton Moura
no flags Details | Diff

Description Milton Moura 2004-11-11 22:46:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
up2date's gui is using deprecated pygtk api, which results in several
warnings when running it from the command line.


Version-Release number of selected component (if applicable):
up2date-4.3.47-5

How reproducible:
Always

Steps to Reproduce:
1. run up2date, up2date-config, etc from a terminal


Actual Results:  the warning messages were shown

Expected Results:  no "deprectade api" messages should appear

Additional info:

Comment 1 Milton Moura 2004-11-11 22:47:41 UTC
Created attachment 106529 [details]
proposed patch

Comment 2 Matthew Miller 2006-07-10 22:35:34 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 John Thacker 2006-10-29 15:09:39 UTC
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.


Note You need to log in before you can comment on or make changes to this bug.